# Qualification
qualification tasks

***

Joy/Русы против Ящеров

## Русы против Ящеров
Однажды, в далеких землях Руси и Ящеров, разгорелась смертельная война. Ящеры, хитрые и могущественные существа, наводнили русские земли, жаждущие покорить их и захватить управление.
Русы, смелые и гордые воины, оказались в тяжелом положении. Им нужно было совершить два выдающихся подвига, чтобы изменить судьбу и победить ящеров.

1-й подвиг требовал отваги и хитрости. Во время мистического ритуала, герой должен отправиться в снах на поиски Золотого Кубка, секретного артефакта, наполненного водой с Байкала и способного **наделить русов 999 единицами здоровья**. Смело преодолевая испытания и угрозы ящеров, герой должен суметь добраться до Золотого Кубка и вернуться в мир реальности. Чтобы у русов была надежда на победу.

Однако, 2-й подвиг оказался еще более непростым. Русы осознали, что им нужно заключить союз с древними Славными Драконами, которые обитали в горах далеко от их земель. Драконы, могущественные и мудрые существа, были недоверчивы к русам из-за прошлых разногласий. Но русы были настойчивы и убедили драконов в своей искренности. Следуя советам драконов, **русы должны освоить искусство Драконей Кожи, секретной магии, способной поглощать 100% урона ящерских орудий**. Обучение будет трудным и опасным, но русы не опустят руки.

Помоги же русам совершить эти подвиги, чтобы сразить хитрых ящеров в последний битве при wesnoth*! Да прибудет с тобой, Флагослав, сила предков**.

О, благородный гость! Дабы сподвижники твои узнали о героических подвигах, мог доставить доказательства свои ко снабжеcтву @rekreker в облике видеозаписи или писания отчёта. Сия мудрейшая записка позволит распространить славу твоего деяния меж приснопамятными ратоборцами.

*choco install wesnoth --version=1.14.9 -y<br>
**choco install cheatengine -y

## Writeups
Вбиваем текущее значение здоровья, получаем урон, ищём новое значение в памяти, изменяем<br>
![Картинка 1](images/pic1.png)

Тут есть аж два способа не получать урон:
1. В лоб - заморозить значение<br>
![Картинка 2](images/pic2.png)

2. Чуть более хитрое - поставить hardware breakpoint на чтение значения здоровья. Таким образом мы узнаём какие инструкции программы отвечают за уменьшение здоровья, а дальше за-nop-ить их. И у нас получается 100% поглощение урона.

Идея для таски была придумана на основе информации с https://gamehacking.academy/about, так что цель этого таска полностью реализуется, если я смог заинтересовать тебя перейти по этой ссылке, чтобы ты стал(а) крутым ревёрсером ^_^

## Flag
MCTF{Th3_l1z4rd5_l0st_fr0m_the_5l4v1c_cl4mp}

## Complexity
Easy
